package com.claudius;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class MyGlobalFilter implements Filter {

    private static Logger LOG = Logger.getLogger(MyGlobalFilter.class.getName()); 
    
    public void destroy() {
        LOG.info(">>>>>>>>> destroy");
        
    }

    public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
        LOG.info(">>>>>>>> doFilter for req: " + req);
        LOG.info(">>>>>>>> doFilter for context " + req.getServletContext());
        chain.doFilter(req, res);
        
    }

    public void init(FilterConfig arg0) throws ServletException {
        LOG.info(">>>>>>>>> init");
        
    }

}
